FROM centos:7
RUN yum install epel-release -y
RUN yum install wget curl net-tools* openssh nginx vim sudo -y
WORKDIR /usr/share/nginx/html
RUN rm -rf index.html
ADD index.html index.html

WORKDIR /etc/nginx
ADD nginx.conf nginx.conf
RUN sudo mkdir sites-available
RUN sudo mkdir sites-enabled
WORKDIR /etc/nginx/sites-available/
ADD default.conf  default.conf
RUN ln -s /etc/nginx/sites-available/default  /etc/nginx/sites-enabled/default.conf
CMD service nginx start

EXPOSE 80
CMD ["nginx", "-g", "daemon off;"]

